Commit 738515d7 authored by Alexandre Duret-Lutz's avatar Alexandre Duret-Lutz

org: work around emacs/gnutls interaction bug

* doc/org/init.el.in: Set gnutls-algorithm-priority when needed.
* NEWS: Mention the issue.
parent 09c93a3a
......@@ -12,6 +12,10 @@ New in spot 2.8.0.dev (not yet released)
works with weak alternating automata" or "product() does not
support alternating automata".
- Work around Emacs bug #34341 when rebuilding documentation on a
system with Emacs <26.3, GNU TLS >= 3.6, and without ESS or with
an obsolete org-mode installed.
New in spot 2.8 (2019-07-10)
Command-line tools:
......
......@@ -11,6 +11,13 @@
(print (org-version nil t t))
(print (concat "Org " org-version))
; Some combination of GNU TLS and Emacs fail to retrieve archive
; contents over https.
; https://www.reddit.com/r/emacs/comments/cdf48c/failed_to_download_gnu_archive/
; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34341
(if (and (version< emacs-version "26.3") (>= libgnutls-version 30600))
(setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3"))
; The Org version that ships with emacs is usually too old.
(when (version< org-version "9.1")
(warn "Org-mode is too old; attempting to download a more recent version")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment